//https://github.com/damellis/attiny
//https://github.com/datacute/Tiny4kOLED/tree/master
//https://github.com/moononournation/ATtinyPowerMeter/tree/master
#include <TinyWireM.h>
#include <Tiny4kOLED.h>
#include "ina219.h"
//****************************************************************************************
//                                      I N A 2 1 9                                      *
//****************************************************************************************
INA219 power_mon;
static float voltage = 0;
static float current = 0;
static float power = 0;

//****************************************************************************************
//                                        O L E D                                        *
//****************************************************************************************
const char title[22] = "______current_sensor_";

void setup() {
  TinyWireM.begin();
  oled.begin(128, 64, sizeof(tiny4koled_init_128x64), tiny4koled_init_128x64);
  oled.enableChargePump();
  oled.setRotation(1);
  oled.clear();
  oled.on();
  oled.setFont(FONT6X8); //FONT8X16
  oled.setCursor(0, 1);
  for(int i=0; i<21;i+=1){oled.print(title[i]);delay(50);}
  oled.setFont(FONT8X16);
  oled.setCursor(5,19);
  oled.print("Volts");
  oled.setCursor(5,46);
  oled.print("Amps");

  power_mon.begin();
  power_mon.to_high_value_mode();

}

void loop() {
  
  voltage = power_mon.read_bus_voltage()+power_mon.read_shunt_voltage();
  current = power_mon.read_current();

  if(current<5.0){current=0.0;}
  if(voltage<1.5){voltage=0.0;}

  oled.setCursor(5,19);
  oled.print("Volts");
  oled.setCursor(5,46);
  oled.print("Amps");

  oled.setCursor(60,19);
  oled.print(voltage);
  oled.setCursor(60,46);
  oled.print(current);

  delay(200);

}